# ChangeLog for sys-kernel/dracut
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/dracut/ChangeLog,v 1.109 2013/02/02 23:12:46 ago Exp $

  02 Feb 2013; Agostino Sarubbo <ago@gentoo.org> dracut-024-r4.ebuild:
  Add ~arm, wrt bug #449220

  27 Jan 2013; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-024-r4.ebuild:
  Warn in postinst log if rd.auto option is not set.  Rels bug #453836.

  08 Jan 2013; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-024-r2.ebuild,
  -dracut-024-r3.ebuild:
  Remove old 024 revisions.

*dracut-024-r4 (07 Jan 2013)

  07 Jan 2013; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/024-0002-dracut-functions.sh-fixed-inst_rules-s.patch,
  -files/024-0002-dracut-functions.sh-support-for-altern.patch,
  +files/024-0003-dracut-functions.sh-support-for-altern.patch,
  -files/024-0003-gentoo.conf-let-udevdir-be-handled-by-.patch,
  +files/024-0004-gentoo.conf-let-udevdir-be-handled-by-.patch,
  +dracut-024-r4.ebuild:
  Use alternative dirs to search for udev rules, but install in udevdir. Fixes
  bug #447088. Thanks to Alexander Tsoy <alexander@tsoy.me> for a patch.

  06 Jan 2013; Agostino Sarubbo <ago@gentoo.org> dracut-024-r3.ebuild:
  Add ~sparc, wrt bug #449220

  05 Jan 2013; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r3.ebuild, dracut-019-r6.ebuild, dracut-022-r6.ebuild,
  dracut-023-r4.ebuild, dracut-024-r2.ebuild, dracut-024-r3.ebuild:
  Revert dependency from virtual/udev to sys-fs/udev. Dracut need to be
  customized first to depend both on eudev and udev.

  01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> dracut-024-r3.ebuild:
  Add ~alpha, wrt bug #449220

  01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> dracut-024-r3.ebuild:
  Add ~ia64, wrt bug #449220

  31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> dracut-024-r3.ebuild:
  Add ~ppc64, wrt bug #449220

  31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> dracut-024-r3.ebuild:
  Add ~ppc, wrt bug #449220

*dracut-024-r3 (16 Dec 2012)

  16 Dec 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  files/024-0001-Fallback-to-external-blkid-and-path_id.patch,
  +files/024-0002-dracut-functions.sh-support-for-altern.patch,
  +files/024-0003-gentoo.conf-let-udevdir-be-handled-by-.patch,
  +dracut-024-r3.ebuild:
  Use alternative dirs to search for udev rules. Use pkg-config to detect
  primary udevdir at run-time. Fixes bug #447088.

  16 Dec 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-023-r2.ebuild,
  -dracut-024.ebuild:
  Remove old revisions.

  28 Nov 2012; Jeroen Roovers <jer@gentoo.org> dracut-022-r6.ebuild:
  Fix Manifest. Inherit multilib in 022-r6 too.

  28 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r3.ebuild, dracut-019-r6.ebuild:
  Inherit multilib.eclass for get_libdir function.

  28 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r3.ebuild, dracut-019-r6.ebuild, dracut-022-r6.ebuild,
  dracut-023-r2.ebuild, dracut-023-r4.ebuild, dracut-024.ebuild,
  dracut-024-r2.ebuild:
  Use virtual/udev instead of sys-fs/udev wrt #444398

*dracut-024-r2 (01 Nov 2012)
*dracut-023-r4 (01 Nov 2012)

  01 Nov 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  files/024-0001-Fallback-to-external-blkid-and-path_id.patch,
  files/023-0003-Fallback-to-external-blkid-and-path_id.patch,
  -dracut-023-r3.ebuild, +dracut-023-r4.ebuild, -dracut-024-r1.ebuild,
  +dracut-024-r2.ebuild:
  Added missing epatch and improved patches a bit btw.

  01 Nov 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r3.ebuild, dracut-019-r6.ebuild, dracut-022-r6.ebuild,
  dracut-023-r2.ebuild, dracut-024.ebuild:
  Applied fix wrt bug #437108 to older ebuilds.

*dracut-024-r1 (01 Nov 2012)
*dracut-023-r3 (01 Nov 2012)

  01 Nov 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/024-0001-Fallback-to-external-blkid-and-path_id.patch,
  +files/023-0003-Fallback-to-external-blkid-and-path_id.patch,
  +dracut-023-r3.ebuild, +dracut-024-r1.ebuild:
  Fixes bug #437700. Thanks to Alexander Tsoy <alexander@tsoy.me> for the
  report and the patch.

  Also bumped dhcp version dependency to >=4.2.4_p2-r1 wrt bug #437108.

*dracut-024 (28 Oct 2012)

  28 Oct 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-024.ebuild:
  Version bump.  Fixes bug #432268 btw.

  NEWS
  ~~~~
  - new dracut option "--device"
  - new dracut kernel command line options "rd.auto"
  - new dracut kernel command line options "rd.noverifyssl"
  - new dracut option "--kernel-cmdline" and "kernel_cmdline" option for
    default parameters
  - fixes for systemd and crypto
  - fix for kexec in shutdown, if not included in initramfs
  - create the initramfs non-world readable
  - prelink/preunlink in the initramfs
  - strip binaries in the initramfs by default now
  - various FIPS fixes
  - various dracut-install fixes

*dracut-023-r2 (27 Oct 2012)
*dracut-022-r6 (27 Oct 2012)
*dracut-019-r6 (27 Oct 2012)
*dracut-018-r3 (27 Oct 2012)

  27 Oct 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-018-r2.ebuild,
  +dracut-018-r3.ebuild, -dracut-019-r5.ebuild, +dracut-019-r6.ebuild,
  -dracut-022-r5.ebuild, +dracut-022-r6.ebuild, -dracut-023.ebuild,
  -dracut-023-r1.ebuild, +dracut-023-r2.ebuild:
  Fixes bug #438064 and bug #438434.

*dracut-023-r1 (07 Oct 2012)

  07 Oct 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/023-0001-dracut-functions.sh-find_binary-path-s.patch,
  +files/023-0002-90crypt-call-systemd-commands-only-if-.patch,
  +dracut-023-r1.ebuild:
  Fixes for bug #436712, bug #437142 and bug #437270.

  Thanks to Jonathan Callen <abcd@gentoo.org>, Nikoli <nikoli@lavabit.com> and
  Alexander Tsoy <bugs+gentoo@puleglot.ru>.

  09 Sep 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r2.ebuild, dracut-019-r5.ebuild, dracut-022-r5.ebuild,
  dracut-023.ebuild:
  Depend on net-misc/dhcp with "client" flag enabled. Fixes bug #433808.

  20 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022-r5.ebuild:
  Building docs conditionally along with optimization is a mistake. Fixed.

*dracut-023 (20 Aug 2012)

  20 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-023.ebuild:
  Version bump.  This version allows to install systemd module which has been
  disabled in previous ebuilds.

  NEWS
  ~~~~
  - resume from hibernate fixes
  - -N option for --no-hostonly
  - support for systemd crypto handling
  - new dracut module "crypt-loop"
  - deprecate the old kernel command line options
  - more documentation
  - multipath fixes
  - i18n: fixed inclusion of "include" keymaps
  - root on cifs support
  - support for xfs / reiserfs separate journal device

  Following changes has been backported to Gentoo's 022-r5 and are included by
  upstream in 023:

  - honor CFLAGS for dracut-install build
  - / is mounted according to rootflags parameter but forced ro at first.
    Later it is remounted according to /etc/fstab + rootflags parameter
    and "ro"/"rw".
  - new "ro_mnt" option to force ro mount of / and /usr
  - dracut-install: fixed issue for /var/tmp containing a symlink
  - only lazy resolve with ldd, if the /var/tmp partition is not mounted with
  "noexec"

  17 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022-r5.ebuild:
  Move udev to common dependencies, because its configuration is being checked
  in the ebuild.

  09 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-019-r5.ebuild:
  Remove udev-187 blocker from 019.  Fixes bug #430002.

  09 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-019-r5.ebuild:
  dracut-019 uses pkg-config at run-time to detect udevdir.  Rels bug #430002.

*dracut-022-r5 (09 Aug 2012)

  09 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-022-r4.ebuild,
  +dracut-022-r5.ebuild:
  pkg-config is now used to configure udevdir path in the ebuild.
  Rels bug #430002.

  09 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022-r4.ebuild:
  Use pkg-config to detect udevdir.  Remove udev-187 blocker.

  04 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-019-r4.ebuild,
  -dracut-022-r3.ebuild:
  Remove old revisions of 019 and 022.

*dracut-022-r4 (04 Aug 2012)
*dracut-019-r5 (04 Aug 2012)

  04 Aug 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-019-r5.ebuild,
  +dracut-022-r4.ebuild:
  Block >=udev-187, because dracut doesn't boot with 187.

*dracut-022-r3 (31 Jul 2012)
*dracut-019-r4 (31 Jul 2012)

  31 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/019-0001-90multipath-added-kpartx.rules-multipa.patch,
  -files/019-0001-multipath-udev-rules.patch,
  +files/019-0002-Avoid-annonying-warnings-when-pkg-conf.patch,
  -files/019-0002-no-pkg-config-warnings.patch,
  +files/019-0003-99shutdown-remove-no-wall-argument-for.patch,
  +files/019-0004-dracut.sh-do-not-copy-var-run-and-var-.patch,
  +files/019-0005-dracut.sh-create-relative-symlinks-for.patch,
  -files/019-0017-99shutdown-remove-no-wall-argument-for.patch,
  +files/022-0018-dracut.sh-do-not-copy-var-run-and-var-.patch,
  -dracut-019-r3.ebuild, +dracut-019-r4.ebuild,
  +files/022-0019-dracut.sh-create-relative-symlinks-for.patch,
  -dracut-022-r2.ebuild, +dracut-022-r3.ebuild:
  Fixes bug #428142 in 019 and 022.

*dracut-022-r2 (31 Jul 2012)
*dracut-019-r3 (31 Jul 2012)

  31 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/019-0001-multipath-udev-rules.patch,
  +files/019-0002-no-pkg-config-warnings.patch,
  +files/019-0017-99shutdown-remove-no-wall-argument-for.patch,
  +files/022-0017-99shutdown-remove-no-wall-argument-for.patch,
  -dracut-019-r2.ebuild, +dracut-019-r3.ebuild,
  -files/dracut-019-multipath-udev-rules.patch,
  -files/dracut-019-no-pkg-config-warnings.patch, -dracut-022-r1.ebuild,
  +dracut-022-r2.ebuild:
  Fixed bug #388199 in 019 and 022. 018 is ignored because it is going to be
  removed soon. I have changed patches naming scheme in 019 as I did in 022.

  Thanks to Alexander E. Patrakov <patrakov@gmail.com> for solving the issue.

  30 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-022.ebuild:
  Remove old 022 revision.

*dracut-022-r1 (30 Jul 2012)

  30 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/022-0016-dracut.sh-test-if-we-can-lazy-resolve-.patch,
  +dracut-022-r1.ebuild:
  Rev-bump. Fixes bug #428232.

  27 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r2.ebuild, dracut-019-r2.ebuild, dracut-022.ebuild:
  Install into correct libdir.

  27 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022.ebuild:
  Export CC to emake and warn about optimization.

  27 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022.ebuild:
  optimization might not work in some cases, don't make it default, yet.

  27 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022.ebuild:
  Removing the hashmap.o file which was accidentally added to the tarball by
  upstream.

  26 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014-r3.ebuild,
  dracut-018-r2.ebuild, dracut-019-r2.ebuild:
  Remove useless postinst messages. Users should refer to Dracut Docs or Gentoo
  Wiki.

  26 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-022.ebuild:
  Man pages in 022 are patched, therefore docs need to be rebuilt. It should be
  done in src_compile, not in src_install as it was before.

*dracut-022 (26 Jul 2012)

  26 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org>
  +files/022-0001-qemu-module-setup.sh-provide-alternati.patch,
  +files/022-0002-Makefile-use-implicit-rules-for-instal.patch,
  +files/022-0003-kernel-modules-module-setup.sh-just-op.patch,
  +files/022-0004-90multipath-added-kpartx.rules-multipa.patch,
  +files/022-0005-gentoo.conf-set-udevdir.patch,
  +files/022-0006-Config-file-for-systemd-on-Gentoo.patch,
  +files/022-0007-Remove-obsolete-gentoo-conf-file.patch,
  +files/022-0008-95rootfs-block-fix-left-fsck-rel.-chec.patch,
  +files/022-0009-98usrmount-use-rw-and-ro-options-inste.patch,
  +files/022-0010-98usrmount-print-mount-options.patch,
  +files/022-0011-dracut-lib-new-functions-listlist-and-.patch,
  +files/022-0012-apply-ro-and-rw-options-from-cmdline-t.patch,
  +files/022-0013-ro_mnt-option-at-build-time-to-force-r.patch,
  +files/022-0014-parse-root-opts-first-check-for-ro-lat.patch,
  +files/022-0015-gentoo.conf-enable-ro_mnt.patch, +dracut-022.ebuild,
  metadata.xml:
  Version bump to 022.  020 and 021 has been skipped.

  This version is heavily patched to support /usr mounting the way OpenRC team
  expects.  Patches also include few more customizations and fixes for Gentoo.
  
  Changes since 019
  =================
  
  020
  ~~~
  - arm kernel modules added to kernel-modules
  - make udevdir systemdutildir systemdsystemunitdir global vars
    your distribution should ship those settings in
    /etc/dracut.conf.d/01-distro.conf
    see dracut.conf.d/fedora.conf.example
  - kernel modules are now only handled with /sys/modules and modules.dep
  - systemd fixups
  - mdraid: wait for md devices to be clean, before shutdown
  - ifup fixed for ipv6
  - add PARTUUID as root=PARTUUID=<partition uuid> parameter
  - fixed instmods() return code and set pipefail globally
  - add 04watchdog dracut module
  - dracut-shutdown.service: fixed ordering to be before shutdown.target
  - make use of "ln -r" instead of shell functions, if new coreutils is
    installed
  - network: support vlan tagged bonding
  - new dracut module qemu and qemu-net to install all kernel driver
  - fs-lib/fs-lib.sh: removed test mounting of btrfs and xfs
  - no more "mknod" in the initramfs!!
  - replaced all "tr" calls with "sed"
  - speedup with lazy kernel module dependency resolving
  - lots of speedup optimizations
  - dracut-install:
    - new binary to significanlty speedup the installation process
    - dracut-functions.sh makes use of it, if installed
  
  021
  ~~~
  - fixed systemd in the initramfs (requires systemd >= 187)
  - dracut-install: massive speedup with /var on the same filesystem with COW
    copy
  - new options: "rd.usrmount.ro" and "rd.skipfsck"
  - less mount/umount
  - apply "ro" on the kernel command line also to /usr
  - mount according to fstab, if neither "ro" or "rw" is specified
  - skip fsck for xfs and btrfs. remount is enough
  - give emergency_shell if /usr mount failed
  - dracut now uses getopt:
    * options can be position independent now!!
    * we can now use --option=<arg>
  - added option "--kver=<kernel-version>", and the image location can be
    omitted
    # dracut --kver 3.5.0-0.rc7.git1.2.fc18.x86_64
  - dracut.sh: for --include copy also the symbolic links
  - man pages: lsinitrd and mkinitrd added
  - network: We do not support renaming in the kernel namespace anymore
    (as udev does that not anymore). So, if a user wants to use ifname, he has
    to rename to a custom namespace. "eth[0-9]+" is not allowed anymore. !!!!!
  - resume: moved the resume process to the initqueue.
    This should prevent accidently mounting the root file system.
  
  022
  ~~~
  - fixed host-only kernel module bug

  25 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-014-r2.ebuild,
  -dracut-018-r1.ebuild, -dracut-018.ebuild, -dracut-019-r1.ebuild,
  -dracut-019.ebuild:
  Remove old revisions.

*dracut-019-r2 (25 Jul 2012)

  25 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-019-r2.ebuild,
  +files/dracut-019-no-pkg-config-warnings.patch:
  Make virtual/pkgconfig optional.  Fixes bug #420585 in better way than
  previous commit.

*dracut-019-r1 (25 Jul 2012)
*dracut-018-r2 (25 Jul 2012)
*dracut-014-r3 (25 Jul 2012)

  25 Jul 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-014-r3.ebuild,
  +dracut-018-r2.ebuild, +dracut-019-r1.ebuild:
  Dependencies revised.

  Dracut requires >=udev-166 and >=util-linux-2.21 since 018, but >=udev-186
  needs to be blocked for versions 018 and earlier. pkgconfig is required for
  019.

  Fixes bug #420585 and bug #424878.

*dracut-019 (09 Jun 2012)

  09 Jun 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-019.ebuild,
  +files/dracut-019-multipath-udev-rules.patch:
  Version bump.

  NEWS
  ~~~~
  - initqueue/online hook 
  - fixes for ifcfg write out 
  - rootfs-block: avoid remount when options don't change 
  - virtfs root filesystem support 
  - cope with systemd-udevd 
  - mount tmpfs with strictatime 
  - include all kernel/drivers/net/phy drivers 
  - add debug_on() and debug_off() functions 
  - add arguments for source_hook() and source_all() 
  - cleanup hook 
  - plymouth: get consoledev from /sys/class/tty/console/active 
  - install xhci-hcd kernel module 
  - dracut: new "--mount" option 
  - lsinitrd: new option --printsize 
  - ARM storage kernel modules added 
  - /etc/initrd-release in the initrd 
  - vlan support 
  - full bonding and bridge support 
  - removed scsi_wait_scan kernel module from standard install 
  - support rd.luks.allow-discards and honor options in crypttab 
  - lots of bugfixes 

  18 May 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-018-r1.ebuild:
  Added 'bootchart' module.

  18 May 2012; Lance Albertson <ramereth@gentoo.org> metadata.xml:
  remove myself as a maintainer

*dracut-018-r1 (16 May 2012)

  16 May 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-018-r1.ebuild,
  +files/dracut-018-lsinitrd-support-symlinks.patch:
  Fixes bug #411821.  Thanks to Nikoli <nikoli@lavabit.com> for the patch.

  09 May 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-017-r1.ebuild,
  -dracut-017-r2.ebuild, -dracut-017-r3.ebuild,
  -files/dracut-017-convertfs-fix-check-for-usr-bin.patch,
  -files/dracut-017-crypt-simplify-rd.luks.uuid-testing.patch,
  -files/dracut-017-fstab-sys-no-check-for-dev.patch,
  -files/dracut-017-fstab-sys-remove-bashism.patch,
  -files/dracut-017-inst_symlink-parent-dir.patch,
  -files/dracut-017-multipath-udev-rules.patch,
  -files/dracut-017-tmpdir-option.patch,
  -files/dracut-017-usrmount-fstab-comments.patch,
  -files/dracut-017-usrmount-newroot-etc-check.patch:
  Removed 017, because 018 fixes bugs which are not going to be backported to
  017.

  26 Apr 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-018.ebuild:
  Removed use of WITH_SWITCH_ROOT variables.

*dracut-018 (05 Apr 2012)

  05 Apr 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-018.ebuild,
  +files/dracut-018-multipath-udev-rules.patch:
  Version bump. Fixes btw bug #408669.

  Build time dependencies are no longer required, because man pages and html
  doc are already built.  Therefore compile phase in empty.

  NEWS
  ~~~~
  (Taken from NEWS file. Lines which don't apply to Gentoo package are
  removed.)

  - lvm: ignore lvm mirrors
  - lsinitrd: handle LZMA images
  - iscsi: add rd.iscsi.param
  - iscsi: add iscsi interface binding
  - fixed fstab.sys handling
  - new dracut option "--tmpdir"
  - new dracut option "--no-hostonly"
  - nbd: name based nbd connects
  - write-ifcfg fixes and cleanups
  - ifup is now done in the initqueue
  - netroot cleanup
  - initqueue/online is now for hooks, which require network
  - no more /tmp/root.info
  - 98pollcdrom: factored out the ugly cdrom polling in the main loop
  - simplified rd.luks.uuid testing
  - removed "egrep" and "ls" calls
  - speedup kernel module installation
  - lots of bugfixes

*dracut-017-r3 (27 Mar 2012)

  27 Mar 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-017-r3.ebuild,
  +files/dracut-017-fstab-sys-no-check-for-dev.patch,
  +files/dracut-017-fstab-sys-remove-bashism.patch:
  Fixed fstab-sys not working with dash wrt bug #406755.

  Applied also patch removing check for existing /dev, because "there are a lot
  of filesystems, which do not need an actual device node".

*dracut-017-r2 (26 Mar 2012)

  26 Mar 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-017-r2.ebuild,
  +files/dracut-017-inst_symlink-parent-dir.patch,
  +files/dracut-017-tmpdir-option.patch:
  Fixes "inst_symlink will not create directory containing the symlink"
  (bug #409167) and adds new tiny feature - tmpdir option (bug #409177).

  05 Mar 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-017-r1.ebuild:
  Warn if kernel config cannot be checked.

*dracut-017-r1 (01 Mar 2012)

  01 Mar 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-017.ebuild,
  +dracut-017-r1.ebuild:
  Don't create broken misplaced symlink.

  29 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-010-r3.ebuild,
  -files/dracut-010-empty-etc-ld.so.conf.d.patch,
  -files/dracut-010-multipath-udev-rules.patch,
  -files/dracut-010-rd.driver.post-fixed.patch,
  -files/dracut-010-rd.driver.pre-and-blacklist-fix.patch,
  -dracut-013-r2.ebuild, -files/dracut-013-integrated-initramfs-fix.patch,
  -files/dracut-013-livenet-gentoo-ca-bundle-path.patch,
  -files/dracut-013-makefile-manpages.patch,
  -files/dracut-013-multipath-udev-rules.patch, -dracut-016.ebuild,
  -files/dracut-016-multipath-udev-rules.patch:
  Removed old versions. Left 014 because it is most stable and 017 because this
  is the latest with important fixes.

*dracut-017 (29 Feb 2012)

  29 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-017.ebuild,
  +files/dracut-017-convertfs-fix-check-for-usr-bin.patch,
  +files/dracut-017-crypt-simplify-rd.luks.uuid-testing.patch,
  +files/dracut-017-multipath-udev-rules.patch,
  +files/dracut-017-usrmount-fstab-comments.patch,
  +files/dracut-017-usrmount-newroot-etc-check.patch:
  Version bump.

  Backported patches:
  - fixes for usrmount (bug #406023)
  - workaround for broken dm-setup not detecting /dev/dm-* (bug #405921)
  - fix for convertfs

  NEWS
  ~~~~
  - a _lot_ faster than dracut-016 in image creation
  - systemd service dracut-shutdown.service
  - livenet fixes
  - ssh-client module install fix
  - root=iscsi:... fixed
  - lots of restructuring and optimizing in dracut-functions.sh
  - usrmount: honor fs_passno in /etc/fstab
  - renamed all shell scripts to .sh
  - new option "--omit-drivers" and config option "omit_drivers"
  - hostonly mode fixups

  27 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-010-r3.ebuild,
  dracut-013-r2.ebuild, dracut-014-r2.ebuild, dracut-016.ebuild:
  Depend on module-init-tools or >kmod-5[tools] explicitly instead of
  virtual/modutils. Rels bug #405827 and bug #402557.

  21 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-016.ebuild:
  Check kernel config for CONFIG_MODULES. Added -f option to rm_module
  function, btw.

  18 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-016.ebuild,
  metadata.xml:
  Renamed 'dm' flag to 'device-mapper', because the later is used also by lilo,
  grub and parted.

  16 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-010-r3.ebuild,
  dracut-013-r2.ebuild, dracut-014-r2.ebuild, dracut-016.ebuild:
  Depend on virtual/modutils instead of sys-apps/module-init-tools.  Dracut
  should work with kmod tools which is alternative to module-init-tools,
  although it hasn't been well tested yet.

  16 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-016.ebuild,
  metadata.xml:
  Remove network or dm related modules when USE flags 'net' or 'dm' are
  disabled. Modules depending on networking or device-mapper have corresponding
  flags which depend on 'net' or 'dm'.

  'ssh-client' dracut_module was added and net-misc/curl dependency to 'net'
  because of new url-lib module.

*dracut-016 (15 Feb 2012)

  15 Feb 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-016.ebuild,
  +files/dracut-016-multipath-udev-rules.patch:
  Version bump.

  New modules come:
  - convertfs
  - ssh-client
  - terminfo

  Kernel options are checked starting with this ebuild. CONFIG_BLK_DEV_INITRD
  is obvious and was always required and since dracut 015 CONFIG_DEVTMPFS is
  required, too.

  usrmount module doesn't enforce /usr being mount ro anymore.

  NEWS
  ~~~~
  Extracted from Dracut NEWS file - merged news from version 015 and 016,
  because 015 was skipped in Portage:

  - fixed lsinitrd
  - honor binaries in sbin first
  - fixed usrmount module
  - added systemd service for shutdown
  - fixed terminfo on distros with /usr/share/terminfo
  - reload udev rules after "pre-trigger" hook
  - improved test suite
  - new parameter "--omit-drivers" and new conf param omit_drivers
  - "--offroot" support for mdraid
  - new libs: net-lib.sh, nfs-lib.sh, url-lib.sh, img-lib.sh
  full of functions to use in your dracut module
  - hostonly mode automatically adds command line options for root and /usr
  - --add-fstab --mount parameters
  - ssh-client module
  - --ctty option: add job control
  - cleanup /run/initramfs
  - convertfs module
  - /sbin/ifup can be called directly
  - support kernel modules compressed with xz
  - s390 iscsi modules added
  - terminfo module
  - lsinitrd can handle concatened images
  - lsinitrd can sort by size

*dracut-014-r2 (30 Jan 2012)

  30 Jan 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-014-r1.ebuild,
  +dracut-014-r2.ebuild:
  Depend on >=sys-apps/util-linux-2.20. Fixes bug #399213.

  12 Jan 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-013-r2.ebuild,
  dracut-014-r1.ebuild:
  Removed unused variables.

  12 Jan 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-014.ebuild:
  Removed old 014 revision.

*dracut-014-r1 (12 Jan 2012)

  12 Jan 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-014-r1.ebuild,
  +files/dracut-014-usrmount-fsck-fix.patch:
  Fixed fsck usage error on /usr mount wrt bug #396575.

  11 Jan 2012; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-010-r3.ebuild,
  +files/dracut-010-empty-etc-ld.so.conf.d.patch,
  +files/dracut-010-multipath-udev-rules.patch,
  +files/dracut-010-rd.driver.post-fixed.patch,
  +files/dracut-010-rd.driver.pre-and-blacklist-fix.patch:
  Restored 010-r3, because some people need it for ZFS support.  Fixes
  bug #398213.

  27 Dec 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-014.ebuild:
  Removed dracut_modules_xen from ebuild modules list and dependencies.

  27 Dec 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-013.ebuild,
  -dracut-013-r1.ebuild:
  Removed old 013 revisions.

*dracut-014 (27 Dec 2011)

  27 Dec 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-014.ebuild,
  +files/dracut-014-multipath-udev-rules.patch:
  Version bump.

  This version provides new modules:
  - usrmount
  - securityfs

  Following modules were removed:
  - xen


  NEWS
  ~~~~
  From Dracut NEWS file:

  - new dracut arguments:
    --lvmconf
    --nolvmconf
    --fscks [LIST]
    --nofscks
  - new .conf options:
    install_items
    fscks
    nofscks
  - new kernel options:
    rd.md.ddf
    rd.md.waitclean
    plymouth.enable
  - dracut move from /sbin to /usr/bin
  - dracut modules dir moved from /usr/share/dracut to /usr/lib/dracut
  - profiling with "dracut --profile"
  - speedup of initramfs creation
  - ask_for_password fallback to CLI
  - mdraid completely switched to incremental assembly
  - no more cdrom polling
  - "switch_root" breakpoint is now very late
  - /dev/live is gone
  - /dev/root is gone
  - fs-lib dracut module for fscks added
  - usb mass storage kernel drivers now included
  - usrmount dracut module added:
    mount /usr if found in /sysroot/etc/fstab
  - only include fsck helper needed for hostonly
  - support iSCSI drivers: qla4xxx, cxgb3i, cxgb4i, bnx2i, be2iscsi
  - add install_items to dracut.conf
    install_items+=" <file>[ <file> ...] "

  16 Nov 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-010-r3.ebuild,
  -files/dracut-010-empty-etc-ld.so.conf.d.patch,
  -files/dracut-010-multipath-udev-rules.patch,
  -files/dracut-010-rd.driver.post-fixed.patch,
  -files/dracut-010-rd.driver.pre-and-blacklist-fix.patch, -dracut-011.ebuild,
  -dracut-011-r1.ebuild, -files/dracut-011-integrated-initramfs-fix.patch,
  -files/dracut-011-multipath-udev-rules.patch:
  Removed old versions: 010 and 011.

*dracut-013-r2 (16 Nov 2011)

  16 Nov 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-013-r2.ebuild,
  +files/dracut-013-makefile-manpages.patch:
  Patched Makefile to install man pages properly. Fixes bug #390629. Btw, use
  single call to epatch.

  09 Sep 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-010-r3.ebuild,
  dracut-011.ebuild, dracut-011-r1.ebuild, dracut-013.ebuild,
  dracut-013-r1.ebuild:
  Added app-arch/cpio dependency, because it's going to be removed from system
  set.

  04 Sep 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-008-r1.ebuild:
  Removed left 008-r1 ebuild.

*dracut-013-r1 (04 Sep 2011)
*dracut-011-r1 (04 Sep 2011)

  04 Sep 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-011-r1.ebuild,
  +files/dracut-011-integrated-initramfs-fix.patch, +dracut-013-r1.ebuild,
  +files/dracut-013-integrated-initramfs-fix.patch:
  Fixed bug #380111 - "kernels with integrated initramfs and dracut failed to
  boot"

  31 Aug 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-007.ebuild,
  -files/dracut-007-dm-udev-rules.patch,
  -files/dracut-007-multipath-udev-rules.patch, -dracut-008.ebuild,
  -files/dracut-008-dm-udev-rules.patch,
  -files/dracut-008-i18n-config-file-parsing-in-hostonly.patch,
  -files/dracut-008-multipath-udev-rules.patch, -dracut-009-r1.ebuild,
  -files/dracut-009-don-t-skip-zero-length-string-outfile.patch,
  -files/dracut-009-multipath-udev-rules.patch, metadata.xml:
  Removed older ebuilds (<010) with corresponding files. metadata.xml was
  cleaned up from flags descriptions which are used no more.

  31 Aug 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-013.ebuild:
  Added 'crypt' requirement for 'crypt-gpg'.

*dracut-013 (21 Aug 2011)

  21 Aug 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-013.ebuild,
  +files/dracut-013-livenet-gentoo-ca-bundle-path.patch,
  +files/dracut-013-multipath-udev-rules.patch:
  Version bump to 013 and EAPI bump to 4.

  This version provides new modules:
  - livenet
  - fs-lib

  sys-fs/udev-164 is OK after all. Some dependencies were removed, because
  they are optional:
  - net-misc/ifenslave
  - net-misc/bridge-utils
  - virtual/eject
  dracut will warn if something optional is missing, but will continue build an
  image without issues.

  New important for bug #378863 option was introduced: --force-add

  Dracut can now mount /usr if it's defined in /etc/fstab on destination
  rootfs.

*dracut-011 (18 Jul 2011)

  18 Jul 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-011.ebuild,
  +files/dracut-011-multipath-udev-rules.patch:
  Version bump.

  This version provides new modules:
  - crypt-gpg
  - shutdown

  sys-fs/udev version was restricted to 168 and above and
  sys-apps/module-init-tools to 3.8 or above.

  30 Jun 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-010.ebuild,
  -dracut-010-r1.ebuild, -dracut-010-r2.ebuild:
  Removed old revisions of version 010.

*dracut-010-r3 (30 Jun 2011)

  30 Jun 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-010-r3.ebuild,
  +files/dracut-010-rd.driver.post-fixed.patch,
  +files/dracut-010-rd.driver.pre-and-blacklist-fix.patch:
  rd.driver.* kernel args handling patches. Fixes bug #373007.

  23 Jun 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-009-r1.ebuild,
  dracut-010.ebuild, dracut-010-r1.ebuild, dracut-010-r2.ebuild:
  Missing RESTRICT="test" fixed. Refs bug #298014.

*dracut-010-r2 (07 Jun 2011)

  07 Jun 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-010-r2.ebuild:
  Added missing net-misc/ifenslave runtime dependency.

*dracut-010-r1 (01 Apr 2011)

  01 Apr 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-010-r1.ebuild,
  +files/dracut-010-empty-etc-ld.so.conf.d.patch:
  Rev-bump. Fixes #361603.

*dracut-010 (01 Apr 2011)

  01 Apr 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-010.ebuild,
  +files/dracut-010-multipath-udev-rules.patch:
  Version bump. No, it's not a joke. It's generally a bugfix release.

  31 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> dracut-007.ebuild,
  dracut-008.ebuild, dracut-008-r1.ebuild, dracut-009-r1.ebuild:
  Use virtual/eject instead of sys-apps/eject.

  29 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org>
  -files/dracut-002-add-missing-functions.patch,
  -files/dracut-002-custom-paths.patch, -files/dracut-002-dir-symlinks.patch,
  -files/dracut-002-gencmdline-check-for-keyboard-i18n-files.patch,
  -files/dracut-002-makefile-add-with_switch_root.patch,
  -files/dracut-002-unmount.patch,
  -files/dracut-006-console_init-not-necessary.patch,
  -files/dracut-006-dhcp6.patch, -files/dracut-006-dm-udev-rules.patch,
  -files/dracut-006-lc-all-c.patch:
  Removed patches of not existing ebuilds.

  29 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> -dracut-002-r1.ebuild,
  -dracut-003.ebuild, -dracut-004.ebuild, -dracut-006.ebuild,
  -dracut-006-r1.ebuild, -dracut-009.ebuild, metadata.xml:
  Removed ancient versions and broken dracut-009.ebuild.

*dracut-009-r1 (29 Mar 2011)

  29 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-009-r1.ebuild:
  Not removing 97biosdevname module anymore.

*dracut-009 (28 Mar 2011)

  28 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-009.ebuild,
  +files/dracut-009-don-t-skip-zero-length-string-outfile.patch,
  +files/dracut-009-multipath-udev-rules.patch:
  Version bump.

  This version provides new modules:
  - biosdevname
  - caps

  sys-block/open-iscsi is restricted to 2.0.871.3 and above because of required
  iBFT support which starts with this version.

  net-misc/dhcp restricted to 4.2.1-r1 and above because dhcp-3 doesn't work
  with Qemu and dhcp-4 is already ~arch keyworded.

  21 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-002-r1.ebuild,
  dracut-003.ebuild, dracut-004.ebuild, dracut-006.ebuild,
  dracut-006-r1.ebuild, dracut-007.ebuild, dracut-008.ebuild,
  dracut-008-r1.ebuild:
  Tests are restricted for all ebuilds. See bug #298014.

  16 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-002-r1.ebuild,
  dracut-003.ebuild, dracut-004.ebuild, dracut-006.ebuild,
  dracut-006-r1.ebuild, dracut-007.ebuild, dracut-008.ebuild,
  dracut-008-r1.ebuild:
  Project's home page update.

*dracut-008-r1 (07 Mar 2011)

  07 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-008-r1.ebuild:
  Revision bump. Added plymouth module. Related to bug #353577.

  02 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-007.ebuild:
  Propagated few improvements from dracut-008.ebuild. Resolves bug #348085.

  Changes include:
  - removed mount-boot and mkdir of /boot/dracut (user can create it
    him/herself if really needed)

  01 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-007.ebuild:
  Added dependency on baselayout-1.12.14-r1 or above.

  01 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> dracut-008.ebuild:
  Added notice about new options format.

*dracut-008 (01 Mar 2011)

  01 Mar 2011; Amadeusz Żołnowski <aidecoe@gentoo.org> +dracut-008.ebuild,
  +files/dracut-008-dm-udev-rules.patch,
  +files/dracut-008-i18n-config-file-parsing-in-hostonly.patch,
  +files/dracut-008-multipath-udev-rules.patch:
  Version bump, resolves bug #353577

  Changes:
  - modules controlled by DRACUT_MODULES USE_EXPAND instead of regular IUSE
    (except of 'debug' and 'selinux')
  - removed mount-boot and mkdir of /boot/dracut (user can create it
    him/herself if really needed)
  - added dependency on baselayout-1.12.14-r1 or above
  - few minor fixes in the ebuild like missing 'die' and so

  Other notes:
  - removing biosdevname module (there's no package yet)
  - removing broken modules: bootchart and busybox

  Thanks to
    Lucian Muresan <lucianm@users.sourceforge.net>
    and Xake <xake@rymdraket.net>
  for report and comments.

  09 Jan 2011; Mike Frysinger <vapier@gentoo.org> dracut-007.ebuild:
  Use new mount-boot_pkg_postinst helper.

  25 Aug 2010; Lance Albertson <ramereth@gentoo.org> dracut-006-r1.ebuild,
  dracut-007.ebuild:
  Fixes bug #334347 (dm related dependencies). Thanks to Akos Szalkai
  <szalkai@szalkai.net> for report and patch.

*dracut-007 (17 Aug 2010)
*dracut-006-r1 (17 Aug 2010)

  17 Aug 2010; Lance Albertson <ramereth@gentoo.org> +dracut-006-r1.ebuild,
  +files/dracut-006-console_init-not-necessary.patch,
  +files/dracut-006-dm-udev-rules.patch, +dracut-007.ebuild,
  +files/dracut-007-dm-udev-rules.patch,
  +files/dracut-007-multipath-udev-rules.patch, metadata.xml:
  Version bump and revision update

  Update 006 with patches from #329003, bump to 007 to resolve #331903.
  Thanks to Amadeusz Żołnowski for contributing the ebuilds and patches.

*dracut-006 (07 Jul 2010)

  07 Jul 2010; Lance Albertson <ramereth@gentoo.org> +dracut-006.ebuild,
  +files/dracut-006-dhcp6.patch, +files/dracut-006-lc-all-c.patch,
  metadata.xml:
  Version bump, resolves bug #324705

  Thanks to Amadeusz Żołnowski for submitting the ebuild and patches.

  22 Mar 2010; Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org>
  metadata.xml:
  Fixed herd.

*dracut-004 (02 Feb 2010)

  02 Feb 2010; Lance Albertson <ramereth@gentoo.org> -dracut-002.ebuild,
  +dracut-004.ebuild:
  Version bump

*dracut-003 (09 Dec 2009)
*dracut-002-r1 (09 Dec 2009)

  09 Dec 2009; Lance Albertson <ramereth@gentoo.org> +dracut-002-r1.ebuild,
  +files/dracut-002-makefile-add-with_switch_root.patch, +dracut-003.ebuild:
  Version bump, fix switch_root issues #293178, & remove system deps

  Force package dep >=sys-apps/util-linux-2.16 which includes switch_root by
  default. Otherwise dracut would have a file conflict with util-linux.
  Backport upstream Makefile patch b3611b525 for version 002 instead of patch
  included in the bug report. 

  29 Sep 2009; Lance Albertson <ramereth@gentoo.org> dracut-002.ebuild,
  +files/dracut-002-add-missing-functions.patch,
  +files/dracut-002-gencmdline-check-for-keyboard-i18n-files.patch:
  Fix dracut-gencmdline issues

*dracut-002 (27 Sep 2009)

  27 Sep 2009; Lance Albertson <ramereth@gentoo.org> +dracut-002.ebuild,
  +files/dracut-002-custom-paths.patch,
  +files/dracut-002-dir-symlinks.patch, +files/dracut-002-unmount.patch,
  +metadata.xml:
  Initial ebuild based from #278442

  Thanks to Ambroz Bizjak <ambro@b4ever.net> for the initial ebuild and
  patches
